package com.xmomen.module.order.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TbPackingExample extends BaseMybatisExample {
    // 排序字段
    protected String orderByClause;

    // 是否去重
    protected boolean distinct;

    // 查询条件
    protected List<Criteria> oredCriteria;

    public TbPackingExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置排序字段
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取排序字段
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置是否去重
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取是否去重
    public boolean isDistinct() {
        return distinct;
    }

    // 获取查询条件
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 生成查询条件
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否为空
        public Criteria andPackingNoIsNull() {
            addCriterion("PACKING_NO is null");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否不为空
        public Criteria andPackingNoIsNotNull() {
            addCriterion("PACKING_NO is not null");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否等于某个值
        public Criteria andPackingNoEqualTo(String value) {
            addCriterion("PACKING_NO =", value, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否不等于某个值
        public Criteria andPackingNoNotEqualTo(String value) {
            addCriterion("PACKING_NO <>", value, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否大于某个值
        public Criteria andPackingNoGreaterThan(String value) {
            addCriterion("PACKING_NO >", value, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否大于等于某个值
        public Criteria andPackingNoGreaterThanOrEqualTo(String value) {
            addCriterion("PACKING_NO >=", value, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否小于某个值
        public Criteria andPackingNoLessThan(String value) {
            addCriterion("PACKING_NO <", value, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否小于等于某个值
        public Criteria andPackingNoLessThanOrEqualTo(String value) {
            addCriterion("PACKING_NO <=", value, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否包含某个值
        public Criteria andPackingNoLike(String value) {
            addCriterion("PACKING_NO like", value, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否不包含某个值
        public Criteria andPackingNoNotLike(String value) {
            addCriterion("PACKING_NO not like", value, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否在某个范围内
        public Criteria andPackingNoIn(List<String> values) {
            addCriterion("PACKING_NO in", values, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否不在某个范围内
        public Criteria andPackingNoNotIn(List<String> values) {
            addCriterion("PACKING_NO not in", values, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否在某个范围内
        public Criteria andPackingNoBetween(String value1, String value2) {
            addCriterion("PACKING_NO between", value1, value2, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_NO是否不在某个范围内
        public Criteria andPackingNoNotBetween(String value1, String value2) {
            addCriterion("PACKING_NO not between", value1, value2, "packingNo");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否为空
        public Criteria andPackingTimeIsNull() {
            addCriterion("PACKING_TIME is null");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否不为空
        public Criteria andPackingTimeIsNotNull() {
            addCriterion("PACKING_TIME is not null");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否等于某个值
        public Criteria andPackingTimeEqualTo(Date value) {
            addCriterion("PACKING_TIME =", value, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否不等于某个值
        public Criteria andPackingTimeNotEqualTo(Date value) {
            addCriterion("PACKING_TIME <>", value, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否大于某个值
        public Criteria andPackingTimeGreaterThan(Date value) {
            addCriterion("PACKING_TIME >", value, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否大于等于某个值
        public Criteria andPackingTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("PACKING_TIME >=", value, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否小于某个值
        public Criteria andPackingTimeLessThan(Date value) {
            addCriterion("PACKING_TIME <", value, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否小于等于某个值
        public Criteria andPackingTimeLessThanOrEqualTo(Date value) {
            addCriterion("PACKING_TIME <=", value, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否在某个范围内
        public Criteria andPackingTimeIn(List<Date> values) {
            addCriterion("PACKING_TIME in", values, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否不在某个范围内
        public Criteria andPackingTimeNotIn(List<Date> values) {
            addCriterion("PACKING_TIME not in", values, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否在某个范围内
        public Criteria andPackingTimeBetween(Date value1, Date value2) {
            addCriterion("PACKING_TIME between", value1, value2, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_TIME是否不在某个范围内
        public Criteria andPackingTimeNotBetween(Date value1, Date value2) {
            addCriterion("PACKING_TIME not between", value1, value2, "packingTime");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否为空
        public Criteria andPackingStatusIsNull() {
            addCriterion("PACKING_STATUS is null");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否不为空
        public Criteria andPackingStatusIsNotNull() {
            addCriterion("PACKING_STATUS is not null");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否等于某个值
        public Criteria andPackingStatusEqualTo(Integer value) {
            addCriterion("PACKING_STATUS =", value, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否不等于某个值
        public Criteria andPackingStatusNotEqualTo(Integer value) {
            addCriterion("PACKING_STATUS <>", value, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否大于某个值
        public Criteria andPackingStatusGreaterThan(Integer value) {
            addCriterion("PACKING_STATUS >", value, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否大于等于某个值
        public Criteria andPackingStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("PACKING_STATUS >=", value, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否小于某个值
        public Criteria andPackingStatusLessThan(Integer value) {
            addCriterion("PACKING_STATUS <", value, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否小于等于某个值
        public Criteria andPackingStatusLessThanOrEqualTo(Integer value) {
            addCriterion("PACKING_STATUS <=", value, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否在某个范围内
        public Criteria andPackingStatusIn(List<Integer> values) {
            addCriterion("PACKING_STATUS in", values, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否不在某个范围内
        public Criteria andPackingStatusNotIn(List<Integer> values) {
            addCriterion("PACKING_STATUS not in", values, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否在某个范围内
        public Criteria andPackingStatusBetween(Integer value1, Integer value2) {
            addCriterion("PACKING_STATUS between", value1, value2, "packingStatus");
            return (Criteria) this;
        }

        // 判断PACKING_STATUS是否不在某个范围内
        public Criteria andPackingStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("PACKING_STATUS not between", value1, value2, "packingStatus");
            return (Criteria) this;
        }
    }

    // 查询条件
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    // 查询条件
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        // 获取查询条件
        public String getCondition() {
            return condition;
        }

        // 获取查询条件
        public Object getValue() {
            return value;
        }

        // 获取查询条件
        public Object getSecondValue() {
            return secondValue;
        }

        // 判断查询条件是否为空
        public boolean isNoValue() {
            return noValue;
        }

        // 判断查询条件是否为单个值
        public boolean isSingleValue() {
            return singleValue;
        }

        // 判断查询条件是否在某个范围内
        public boolean isBetweenValue() {
            return betweenValue;
        }

        // 判断查询条件是否在某个范围内
        public boolean isListValue() {
            return listValue;
        }

        // 获取查询条件
        public String getTypeHandler() {
            return typeHandler;
        }

        // 创建查询条件
        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        // 创建查询条件
        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        // 创建查询条件
        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        // 创建查询条件
        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        // 创建查询条件
        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}